
QGIS Application - Bug report #21463

Unable to display some rasters in canvas

2019-03-04 08:02 AM - Patrick Dunford

Status: Feedback

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.6.0 Regression?: No

Operating System: Debian 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29280

Description

Since upgrading to Buster there is now a situation where some rasters will not display correctly in the Canvas.

I believe this issue has been previously reported, possibly in 2.18

This only affects customised JPEG raster layers created in Gimp. All known image viewers can view these correctly.

Affecting both 3.4.5 and 3.6 on Buster

Related issues:

Related to QGIS Application - Bug report # 19093: Incorrect colour displayed ... Open 2018-06-02

History

#1 - 2019-03-04 08:17 AM - Giovanni Manghi

- Category changed from GUI to Rasters

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from Yes to No

Please attach sample data.

#2 - 2019-03-04 12:36 PM - Patrick Dunford

https://drive.google.com/open?id=1pFGRrA-JkQtlQ7mOTMBKwsJq9OVmBKyq

#3 - 2019-03-04 12:37 PM - Patrick Dunford

It wss reported previously on Manjaro, reported to the Manjaro bug tracking system

#4 - 2019-03-04 12:40 PM - Patrick Dunford

Related #19093

#5 - 2019-03-04 02:31 PM - Jürgen Fischer

- Related to Bug report #19093: Incorrect colour displayed on rasters added

2025-04-27 1/2

https://drive.google.com/open?id=1pFGRrA-JkQtlQ7mOTMBKwsJq9OVmBKyq


#6 - 2019-03-04 03:30 PM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2019-03-05 12:58 PM - Patrick Dunford

It appears this issue is caused by dropping support for Progressive JPEGs in the latest version. I've tested with rasters regenerated as non progressive and

everything displays properly.

Progressive Jpeg format is part of the Jpeg standard for many years and this situation could affect a lot of other users.

#8 - 2019-03-05 04:03 PM - Giovanni Manghi

- Status changed from Open to Feedback

They open fine on 3.6 on Ubuntu. Maybe it depends on the GDAL version?
